"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
const findInterface = (path, name) => {
    while (true) {
        if (path === null)
            return;
        if (path.isBlock()) {
            const interfaceNode = path.node.body.find(node => types_1.isTSInterfaceDeclaration(node) && node.id.name === name);
            if (interfaceNode !== undefined)
                return interfaceNode;
            path = path.parentPath;
        }
        else
            path = path === null || path === void 0 ? void 0 : path.parentPath;
    }
};
exports.default = findInterface;
